---
updatedAt: 2026-02-09T08:32:41.000Z
---

Fetch the complete documentation index at: https://apidocs.hibob.com/llms.txt. Use this file to discover all available pages before exploring further.

# Get the details of a single job ad

Returns the details of the job ad that was promoted on the Bob careers page. <br /><br /> To learn more about the Hiring API and how to integrate with your career page, see <a href="https://apidocs.hibob.com/docs/how-to-use-hiring-api-careers-page" target="_blank">How to integrate with your careers page</a>. <br /><br /> <p><b>Testing notes</b>:</p> <ul>
  <li>Use the testing widget's <b>Try It!</b> option to test this endpoint.</li>
</ul>

# OpenAPI definition

```json
{
  "openapi": "3.1.1",
  "info": {
    "title": "Bob Hiring API",
    "description": "Use Public API to access Bob Hiring in Bob",
    "license": {
      "name": "Proprietary",
      "url": "https://apidocs.hibob.com/docs/api-terms-of-use"
    },
    "contact": {
      "name": "Hi Bob, Inc."
    },
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://api.hibob.com/v1",
      "description": "Production"
    },
    {
      "url": "https://api.sandbox.hibob.com/v1",
      "description": "Sandbox"
    }
  ],
  "x-readme": {
    "metrics-enabled": false
  },
  "paths": {
    "/hiring/job-ads/{id}": {
      "get": {
        "operationId": "get_hiring-job-ads-id",
        "tags": [
          "Job ads"
        ],
        "summary": "Get the details of a single job ad",
        "description": "Returns the details of the job ad that was promoted on the Bob careers page. <br /><br /> To learn more about the Hiring API and how to integrate with your career page, see <a href=\"https://apidocs.hibob.com/docs/how-to-use-hiring-api-careers-page\" target=\"_blank\">How to integrate with your careers page</a>. <br /><br /> <p><b>Testing notes</b>:</p> <ul>\n  <li>Use the testing widget's <b>Try It!</b> option to test this endpoint.</li>\n</ul>",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The job ad ID you want to retrieve. <br><br> To test with a specific job ad ID, locate the ID in the 'Job Detail Link' on Bob's career page, this ID is the last part of the URL. Alternatively, retrieve the job ads list using the 'POST' endpoint and extract the ID from the job ads list in the response.<br>",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "preferredLanguage",
            "in": "query",
            "description": "The job ads will be returned in the language you provide in the preferred language (if available). Otherwise, the language specified in the job ad will be used.   list of all possible values is available via the Metadata API under Get all company lists (endpoint GET https://api.hibob.com/v1/company/named-lists/languages).",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The detailed structure of the job ad details being returned in the response body.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/JobAd"
                }
              }
            }
          },
          "400": {
            "description": "The request contains incorrect parameters or syntax errors. Please review the request body.",
            "content": {}
          },
          "404": {
            "description": "The requested entry was not found. Ensure the filter criteria in the request body are correct.",
            "content": {}
          },
          "default": {
            "description": "Unexpected error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "security": [
          {
            "Basic": []
          },
          {
            "Bearer": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "JobAd": {
        "type": "object",
        "properties": {
          "/jobAd/id": {
            "type": "object",
            "properties": {
              "value": {
                "type": "string",
                "format": "uuid"
              }
            },
            "description": "This is the backend-id of the job ad. <br><br> <b>Note</b>: Use this job ID slug within the URL of the job ad page on your career page in this format \"https://yourdomain.com/{job-ad-id}\".<br> This will ensure the 'Job Detail Link' from Bob directs users to the correct job ad page on your website."
          },
          "/jobAd/applyUrl": {
            "type": "object",
            "properties": {
              "value": {
                "type": "string"
              }
            },
            "description": "This URL links to the application form that allows new candidates to apply for the job. It is essential to use this link as your application form, to ensure that candidate details are automatically submitted to Bob."
          },
          "/jobAd/title": {
            "type": "object",
            "properties": {
              "value": {
                "type": "string"
              }
            },
            "description": "The title of the job ad as defined on the job description used to promote the job opening."
          },
          "/jobAd/departmentId": {
            "type": "object",
            "properties": {
              "value": {
                "type": "string"
              }
            },
            "description": "The ID of the department defined on the job opening that the job ad was created from. <br> To obtain the available departments, call the <a href=\"https://apidocs.hibob.com/reference/get_company-named-lists-listname\" target=\"_blank\">Get all company lists Metadata API</a> with `department` in the listname path parameter."
          },
          "/jobAd/department": {
            "type": "object",
            "properties": {
              "value": {
                "type": "string"
              }
            },
            "description": "The name of the department defined on the job opening that the job ad was created from."
          },
          "/jobAd/employmentTypeId": {
            "type": "object",
            "properties": {
              "value": {
                "type": "string"
              }
            },
            "description": "The ID of the employment type defined on the job opening that the job ad was created from. <br> To obtain the available employment types, call the <a href=\"https://apidocs.hibob.com/reference/get_company-named-lists-listname\" target=\"_blank\">Get all company lists Metadata API</a> with `payrollEmploymentType` in the listname path parameter."
          },
          "/jobAd/employmentType": {
            "type": "object",
            "properties": {
              "value": {
                "type": "string"
              }
            },
            "description": "The name of the employment type defined on the job opening that the job ad was created from."
          },
          "/jobAd/siteId": {
            "type": "object",
            "properties": {
              "value": {
                "type": "integer",
                "format": "int64"
              }
            },
            "description": "The ID of the site defined on the job opening that the job ad was created from. To fetch the site defined for the job ad itself, use `/jobAd/jobAdSiteId` instead.<br> To obtain the available sites, call the <a href=\"https://apidocs.hibob.com/reference/get_company-named-lists-listname\" target=\"_blank\">Get all company lists Metadata API</a> with `site` in the listname path parameter."
          },
          "/jobAd/site": {
            "type": "object",
            "properties": {
              "value": {
                "type": "string"
              }
            },
            "description": "The name of the site defined on the job opening that the job ad was created from. To fetch the site defined for the job ad itself, use `/jobAd/jobAdSite` instead."
          },
          "/jobAd/country": {
            "type": "object",
            "properties": {
              "value": {
                "type": "string"
              }
            },
            "description": "The county name of the site defined on the job opening that the job ad was created from. To fetch the country defined for the job ad itself, use `/jobAd/jobAdCountry` instead."
          },
          "/jobAd/jobAdSiteId": {
            "type": "object",
            "properties": {
              "value": {
                "type": "integer",
                "format": "int64"
              }
            },
            "description": "The ID of the site that is defined for the job ad itself. This may differ from the site defined for the job opening, if using different multiple locations. <br> To obtain the available sites, call the <a href=\"https://apidocs.hibob.com/reference/get_company-named-lists-listname\" target=\"_blank\">Get all company lists Metadata API</a> with `site` in the listname path parameter."
          },
          "/jobAd/jobAdSite": {
            "type": "object",
            "properties": {
              "value": {
                "type": "string"
              }
            },
            "description": "The name of the site defined on the job ad itself. This may differ from the site defined for the job opening, if using different multiple locations"
          },
          "/jobAd/jobAdCountry": {
            "type": "object",
            "properties": {
              "value": {
                "type": "string"
              }
            },
            "description": "The country name of the site defined on the job ad itself. This may differ from the country defined for the job opening, if using different multiple locations"
          },
          "/jobAd/languageCode": {
            "type": "object",
            "properties": {
              "value": {
                "type": "string"
              }
            },
            "description": "The language code of the selected language on job description used to promote the job opening. <br> To obtain the available languages, call the <a href=\"https://apidocs.hibob.com/reference/get_company-named-lists-listname\" target=\"_blank\">Get all company lists Metadata API</a> with `languages` in the listname path parameter."
          },
          "/jobAd/description": {
            "type": "object",
            "properties": {
              "value": {
                "type": "string"
              }
            },
            "description": "The job description that was used to promote the job opening to the careers page. Note that the description may include HTML code to support text formatting. Ensure it is parsed accordingly."
          },
          "/jobAd/requirements": {
            "type": "object",
            "properties": {
              "value": {
                "type": "string"
              }
            },
            "description": "The requirements as defined on the job description used to promote the job opening."
          },
          "/jobAd/responsibilities": {
            "type": "object",
            "properties": {
              "value": {
                "type": "string"
              }
            },
            "description": "The responsibilities as defined on the job description used to promote the job opening."
          },
          "/jobAd/benefits": {
            "type": "object",
            "properties": {
              "value": {
                "type": "string"
              }
            },
            "description": "The benefits as defined on the job description used to promote the job opening."
          },
          "/jobAd/workspaceTypeId": {
            "type": "object",
            "properties": {
              "value": {
                "type": "string"
              }
            },
            "description": "The ID of the workspace type defined on the job ad (e.g., \"remote\", \"hybrid\", \"on_site\"). <br> To obtain the available workspace types, call the <a href=\"https://apidocs.hibob.com/reference/get_company-named-lists-listname\" target=\"_blank\">Get all company lists Metadata API</a> with `workspaceTypes` in the listname path parameter."
          },
          "/jobAd/workspaceType": {
            "type": "object",
            "properties": {
              "value": {
                "type": "string"
              }
            },
            "description": "The name of the workspace type defined on the job ad (e.g., \"Remote\", \"Hybrid\", \"On-site\"). This field supports translation based on the preferredLanguage parameter."
          },
          "/jobAd/jobOpeningId": {
            "type": "object",
            "properties": {
              "value": {
                "type": "integer",
                "format": "int64",
                "description": "The numeric ID of the related job opening."
              }
            },
            "description": "The ID of the job opening this job ad was created from. Use this to link job ads to job openings when calling the Job Openings search API."
          },
          "/jobAd/employerId": {
            "type": "object",
            "properties": {
              "value": {
                "type": "integer",
                "format": "int64"
              }
            },
            "description": "The ID of the employer defined on the job opening that the job ad was created from."
          },
          "/jobAd/employer": {
            "type": "object",
            "properties": {
              "value": {
                "type": "string"
              }
            },
            "description": "The name of the employer defined on the job opening that the job ad was created from."
          },
          "/jobAd/workLocationIds": {
            "type": "object",
            "properties": {
              "value": {
                "type": "array",
                "items": {
                  "type": "integer",
                  "format": "int64"
                }
              }
            },
            "description": "The IDs of the work locations defined on the job opening that the job ad was created from."
          },
          "/jobAd/workLocations": {
            "type": "object",
            "properties": {
              "value": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              }
            },
            "description": "The names of the work locations defined on the job opening that the job ad was created from."
          }
        }
      },
      "Error": {
        "type": "object",
        "properties": {
          "key": {
            "type": "string",
            "description": "The unique identifier of the error."
          },
          "error": {
            "type": "string",
            "description": "A human readable error message."
          }
        }
      }
    },
    "securitySchemes": {
      "Basic": {
        "type": "http",
        "scheme": "basic"
      },
      "Bearer": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "OAuth 2.0",
        "description": "OAuth 2.0 authentication using an Access Token is available for registered partners only.  Try It! does not support the full HiBob OAuth flow. You can follow <a href=\"https://apidocs.hibob.com/reference/oauth-20#testing-from-the-public-api-reference\" target=\"_blank\">these steps</a> to complete the OAuth 2.0 flow in Postman and then paste the token here."
      }
    }
  }
}
```